Subject: Re: [alto] alto Digest, Vol 32, Issue 31

From: Bill Roome <[email-masked]>
Date: Wed, 29 Jun 2011 15:28:27 -0400

>
>Message: 1
>Date: Tue, 28 Jun 2011 14:38:35 -0500
>From: "Vijay K. Gurbani" <[email-masked]>
>To: alto <[email-masked]>
>Subject: [alto] Updated ALTO Interoperability test cases (version 0.5)
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
>Folks: I have updated the ALTO test case document based on
>the feedback I have received on the list so far.

I think there's an error in test 15 ("Change network map"). The server's
response is given as:

	"peeringpid2" : {
		"ipv4" : [ "130.0.0.0/16" ],
		"ipv4" : [ "201.1.2.0/24" ],
		"ipv6" : [ "2001:DB8::/32"]
	},

I believe the two ipv4 cidrs should be combined into one array, like this:

	"peeringpid2" : {
		"ipv4" : [ "130.0.0.0/16", "201.1.2.0/24" ],
		"ipv6" : [ "2001:DB8::/32"]
	},

Also, in my copy of draft 8, the Table 1 error codes are:

   E_INVALID_COST_MODE
   E_INVALID_COST_TYPE
   E_INVALID_PROPERTY_TYPE

Test cases 10, 11, and 12 give the codes as E_JSON_COST_MODE, etc.

	- Bill Roome